## xfonts-marumoji 0.2-11

=== Makefile ===
# Makefile
#
#
DESTDIR=
FONTDIR=/usr/share/fonts/X11/misc
fonts = 7x14maru 7x14rkmr maru14 maru16 maru18
bdfgz = $(patsubst %,%.bdf.gz, $(fonts))
pcfgz = $(patsubst %,%.pcf.gz, $(fonts))

%.pcf.gz: %.bdf.gz
	gunzip < $< | bdftopcf | gzip -9 > $@

all: $(pcfgz)

install:
	for i in $(pcfgz); \
	do \
	 install -m 644 $$i $(DESTDIR)$(FONTDIR); \
	done

clean:
	-rm -f *.pcf.gz

## xfonts-marumoji 0.2

=== debian/changelog ===
xfonts-marumoji (0.2-12) unstable; urgency=medium

  * Add d/source (Closes: #954008).
  * Update d/control
    - Use debhelper-compat instead of debhelper compat.
    - Update debhelper compat to 13 (Closes: #965899).
    - Update Standards-Version to 4.5.0.
    - Add Rules-Requires-Root.
    - Drop xmarufont from Conflicts and Replaces.
    - Add Multi-Arch: foreign.
    - Add Vcs-Browser and Vcs-Git.
  * Update d/rules, use dh.
  * Remove d/README.Debian.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 17 Nov 2020 16:48:58 +0900

xfonts-marumoji (0.2-11) unstable; urgency=medium

  * Make build reproducible. (Closes: #778224)
  * Bump Standards-Version to 3.9.6.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Feb 2015 08:32:01 +0900

xfonts-marumoji (0.2-10) unstable; urgency=low

  * Bump up standard-version to 3.9.4.
  * Fix debian-rules-missing-recommended-target of lintian warning.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 12 Jul 2013 12:44:33 +0900

xfonts-marumoji (0.2-9) unstable; urgency=low

  * Bump up standard-version.
  * Update debian/README.Debian.
    - Fix spelling error.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 08 Mar 2010 02:03:27 +0900

xfonts-marumoji (0.2-8) unstable; urgency=low

  * New maintainer. (Closes: #541018)
  * Bump up standard-version.
  * Change font path.
  * Change section from x11 to fonts.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 24 Aug 2009 08:33:56 +0900

xfonts-marumoji (0.2-7) unstable; urgency=low

  * finish /usr/doc/trnasition
   closes: Bug#359602
  * X fonts transition
   closes: Bug#362389

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 24 Apr 2006 23:59:28 +0900

xfonts-marumoji (0.2-6) unstable; urgency=low

  * standard-version: 3.5.6
  * depends: xutils (>> 4.0.3)
  * build-depends: => build-depends-indep:

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 14 Nov 2001 10:29:17 +0900

xfonts-marumoji (0.2-5) unstable; urgency=low

  * fix incorrect alias entry s/iso88859-1/iso8859-1/, closes: Bug#99002

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 29 May 2001 07:29:15 +0900

xfonts-marumoji (0.2-4) unstable; urgency=low

  * fix dependency: xbase-clients -> xutils

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  6 Feb 2001 14:29:09 +0900

xfonts-marumoji (0.2-3) unstable; urgency=low

  * adapt new debian policy
  * add Build-Depends:

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 12 Jan 2001 17:29:29 +0900

xfonts-marumoji (0.2-2) unstable; urgency=low

  * use dh_installxfonts

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 10 Nov 1999 22:17:00 +0900

xfonts-marumoji (0.2-1) unstable; urgency=low

  * Rename: xmarufont to xfonts-marumoji
    (following Debian X fonts naming convention)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 21 Oct 1999 02:36:21 +0900

xmarufont (0.2-4) unstable; urgency=low

  * add short alias like "maru14" (debian/xmarufont.alias). closes: bug#46617

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  5 Oct 1999 03:25:18 +0900

xmarufont (0.2-3) unstable; urgency=low

  * architecture should be all.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 26 Aug 1999 21:54:21 +0900

xmarufont (0.2-2) unstable; urgency=low

  * install /usr/X11R6/lib/X11/fonts/misc instead of /usr/X11R6/lib/X11/fonts/maru

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 26 Aug 1999 02:06:47 +0900

xmarufont (0.2-1) unstable; urgency=low

  * Initial Release. (from JP archives)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 21 Aug 1999 01:52:30 +0900

=== debian/control ===
Source: xfonts-marumoji
Section: fonts
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: xfonts-utils
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/iwamatsu/xfonts-marumoji
Vcs-Git: https://salsa.debian.org/iwamatsu/xfonts-marumoji

Package: xfonts-marumoji
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xbase-clients (<< 4.0)
Description: Roundish fonts (marumoji fonts) for X
 Japanese and ASCII roundish fonts (marumoji in Japanese) for
 X servers.
 It provides:
  maru14: JIS X0208.1983 Roundish Characters (14 dots)
  maru16: JIS X0208.1983 Roundish Characters (16 dots)
  7x14rkmr: JIS X0201.1976 Roman Roundish Characters (14 dots)
  7x14maru: ISO8859-1 Roundish Characters (14 dots)

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	$(MAKE) install DESTDIR=`pwd`/debian/xfonts-marumoji

	install -m 644 debian/xfonts-marumoji.alias \
		`pwd`/debian/xfonts-marumoji/etc/X11/fonts/misc/xfonts-marumoji.alias
	for i in *.alias.gz; \
	do \
	  gunzip < $$i | sed -e 's/iso88859-1/iso8859-1/' >> \
		`pwd`/debian/xfonts-marumoji/etc/X11/fonts/misc/xfonts-marumoji.alias; \
	done

	dh_install

## xfonts-marumoji 0.2-11

=== debian/control ===
Source: xfonts-marumoji
Section: fonts
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 5.0.31)
Build-Depends-Indep: xfonts-utils

Package: xfonts-marumoji
Architecture: all
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xmarufont, xbase-clients (<< 4.0)
Replaces: xmarufont
Description: Roundish fonts (marumoji fonts) for X
 Japanese and ASCII roundish fonts (marumoji in Japanese) for 
 X servers.
 It provides:
  maru14: JIS X0208.1983 Roundish Characters (14 dots)
  maru16: JIS X0208.1983 Roundish Characters (16 dots)
  7x14rkmr: JIS X0201.1976 Roman Roundish Characters (14 dots)
  7x14maru: ISO8859-1 Roundish Characters (14 dots)

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,35 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-%:
-	dh $@
 
-override_dh_install:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build: build-stamp
+build-stamp:
+	dh_testdir
+	# Add here commands to compile the package.
+	$(MAKE) GZIP="-9n"
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp install-stamp
+
+	# Add here commands to clean up after the build process.
+	$(MAKE) clean
+
+	dh_clean
+
+install: install-stamp
+install-stamp: build-stamp
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=`pwd`/debian/xfonts-marumoji
 
 	install -m 644 debian/xfonts-marumoji.alias \
@@ -20,5 +45,44 @@
 	  gunzip < $$i | sed -e 's/iso88859-1/iso8859-1/' >> \
 		`pwd`/debian/xfonts-marumoji/etc/X11/fonts/misc/xfonts-marumoji.alias; \
 	done
+	touch install-stamp
 
-	dh_install
+# Build architecture-independent files here.
+#  binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+#  binary-arch: build install
+binary-indep: build install
+#	dh_testversion
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installxfonts
+#	dh_installexamples
+#	dh_installmenu
+#	dh_installemacsen
+#	dh_installinit
+#	dh_installcron
+#	dh_installmanpages
+#	dh_undocumented
+	dh_installchangelogs 
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	# You may want to make some executables suid here
+	#dh_suidregister
+#	dh_makeshlibs
+	dh_installdeb
+#	dh_perl 
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+source diff:                                                                  
+	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary
